#define MANY (-2)
#define DEFUNS(symbol_name, cname, minargs, maxargs, prompt, doc) \
  SFunction cname(symbol_name, minargs, maxargs, prompt doc)


class SFunction : Functional {
};

DEFUNS (eqSymbol, Eq, 2, 2, 0,
  "T if the two args are the same Lisp object.")
  (Root *obj1, Root *obj2)
{
  if (obj1 == obj2)
    return Qt;
  return Qnil;
}
